> ## Documentation Index
> Fetch the complete documentation index at: https://docs.henrikdev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get live Premier team by player Riot ID (v2)

> Resolves the player's Riot ID to a PUUID using a live alias lookup, then fetches their current Premier roster without caching. Returns the same response as team lookup by ID.



## OpenAPI

````yaml https://api.henrikdev.xyz/openapi.json get /valorant/v2/premier/players/{affinity}/{name}/{tag}
openapi: 3.1.0
info:
  title: HenrikDev API
  description: ''
  license:
    name: ''
  version: 4.6.0
servers:
  - url: https://api.henrikdev.xyz
security:
  - api_key_header: []
  - api_key_query: []
tags:
  - name: valorant
    description: Valorant public API endpoints
  - name: premium
    description: Premium account and webhook endpoints
paths:
  /valorant/v2/premier/players/{affinity}/{name}/{tag}:
    get:
      tags:
        - valorant
      summary: Get live Premier team by player Riot ID (v2)
      description: >-
        Resolves the player's Riot ID to a PUUID using a live alias lookup, then
        fetches their current Premier roster without caching. Returns the same
        response as team lookup by ID.
      operationId: premier_by_player_name
      parameters:
        - name: affinity
          in: path
          description: Region/affinity; case-insensitive
          required: true
          schema:
            $ref: '#/components/schemas/ValorantAffinity'
        - name: name
          in: path
          description: Player Riot ID name
          required: true
          schema:
            type: string
        - name: tag
          in: path
          description: Player Riot ID tag
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Player's Premier team retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PremierTeamV2Response'
        '400':
          description: Invalid region or empty name/tag
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '404':
          description: Player not found or has no Premier team
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '500':
          description: Failed to resolve the player or fetch Riot data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
components:
  schemas:
    ValorantAffinity:
      type: string
      description: Valorant affinity. Inputs are case-insensitive.
      enum:
        - na
        - eu
        - ap
        - kr
        - br
        - latam
    PremierTeamV2Response:
      type: object
      required:
        - status
        - data
      properties:
        data:
          $ref: '#/components/schemas/PremierTeamV2ResponseData'
        status:
          type: integer
          format: int32
          minimum: 0
    SendError:
      type: object
      required:
        - errors
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/APIError'
    PremierTeamV2ResponseData:
      type: object
      required:
        - id
        - name
        - tag
        - customization
        - member
        - created_at
        - current_season
        - seasons
      properties:
        created_at:
          type: string
        current_season:
          $ref: '#/components/schemas/PremierTeamV2Season'
        customization:
          $ref: '#/components/schemas/PremierTeamV1ResponseDataCustomization'
        id:
          type: string
        member:
          type: array
          items:
            $ref: '#/components/schemas/PremierTeamV2Member'
        name:
          type: string
        seasons:
          type: array
          items:
            $ref: '#/components/schemas/PremierTeamV2Season'
        tag:
          type: string
    APIError:
      type: object
      required:
        - code
        - message
        - status
      properties:
        code:
          type: integer
          format: int32
          minimum: 0
        details: {}
        message:
          type: string
        status:
          type: integer
          format: int32
          minimum: 0
    PremierTeamV2Season:
      type: object
      required:
        - id
        - enrolled
        - stats
        - placement
        - promotion_applied
        - crest
        - has_earned_promotion_for_next_season
        - has_earned_prestige
      properties:
        crest:
          type: string
        enrolled:
          type: boolean
        has_earned_prestige:
          type: boolean
        has_earned_promotion_for_next_season:
          type: boolean
        id:
          type: string
        name:
          type:
            - string
            - 'null'
        placement:
          $ref: '#/components/schemas/PremierTeamV2Placement'
        promotion_applied:
          type: boolean
        stats:
          $ref: '#/components/schemas/PremierTeamV2Stats'
    PremierTeamV1ResponseDataCustomization:
      type: object
      required:
        - icon
        - image
        - primary
        - secondary
        - tertiary
      properties:
        icon:
          type: string
        image:
          type: string
        primary:
          type: string
        secondary:
          type: string
        tertiary:
          type: string
    PremierTeamV2Member:
      type: object
      required:
        - puuid
        - role
        - joined_at
      properties:
        joined_at:
          type: string
        puuid:
          type: string
        role:
          $ref: '#/components/schemas/PremierTeamV2Role'
    PremierTeamV2Placement:
      type: object
      required:
        - points
        - conference
        - division
        - is_provisional
      properties:
        conference:
          type: string
        division:
          type: integer
          format: int32
          minimum: 0
        is_provisional:
          type: boolean
        points:
          type: integer
          format: int32
          minimum: 0
    PremierTeamV2Stats:
      type: object
      required:
        - wins
        - matches
        - losses
        - rounds
      properties:
        losses:
          type: integer
          format: int32
          minimum: 0
        matches:
          type: integer
          format: int32
          minimum: 0
        rounds:
          $ref: '#/components/schemas/PremierTeamV2Rounds'
        wins:
          type: integer
          format: int32
          minimum: 0
    PremierTeamV2Role:
      type: object
      required:
        - id
        - name
      properties:
        id:
          type: integer
          format: int32
          minimum: 0
        name:
          type: string
    PremierTeamV2Rounds:
      type: object
      required:
        - won
        - lost
      properties:
        lost:
          type: integer
          format: int32
          minimum: 0
        won:
          type: integer
          format: int32
          minimum: 0
  securitySchemes:
    api_key_header:
      type: apiKey
      in: header
      name: Authorization
    api_key_query:
      type: apiKey
      in: query
      name: api_key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.